BankQuotesInboundAggregator (Mule ESB 2.2.1 API)
Keywords: org.mule.example.loanbroker.routers.BankQuotesInboundAggregator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.loanbroker.routers
Class BankQuotesInboundAggregator

    java.lang.Object
      org.mule.routing.AbstractRouter
          org.mule.routing.inbound.SelectiveConsumer
              org.mule.routing.inbound.AbstractEventAggregator
                  org.mule.routing.inbound.AbstractCorrelationAggregator
                      org.mule.example.loanbroker.routers.BankQuotesInboundAggregator

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, InboundRouter, Router

    public class BankQuotesInboundAggregator

extends AbstractCorrelationAggregator

`BankQuotesInboundAggregator` receives a number of quotes and selects the lowest

Field Summary

Fields inherited from class org.mule.routing.inbound.AbstractEventAggregator
`eventCorrelator`

Fields inherited from class org.mule.routing.inbound.SelectiveConsumer
`logger`

Fields inherited from class org.mule.routing.AbstractRouter
`muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`BankQuotesInboundAggregator()`

Method Summary
`protected MuleMessage` | `aggregateEvents(EventGroup events)` This method is invoked if the shouldAggregate method is called and returns true.

Methods inherited from class org.mule.routing.inbound.AbstractCorrelationAggregator
`getCorrelatorCallback`

Methods inherited from class org.mule.routing.inbound.AbstractEventAggregator
`getTimeout, initialise, isFailOnTimeout, process, setFailOnTimeout, setTimeout`

Methods inherited from class org.mule.routing.inbound.SelectiveConsumer
`getFilter, getMessageInfoMapping, isMatch, isTransformFirst, setFilter, setMessageInfoMapping, setTransformFirst`

Methods inherited from class org.mule.routing.AbstractRouter
`dispose, getMuleContext, getRouterStatistics, setMuleContext, setRouterStatistics`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.routing.Router
`getRouterStatistics, setRouterStatistics`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Constructor Detail

### BankQuotesInboundAggregator

    public BankQuotesInboundAggregator()

Method Detail

### aggregateEvents

    protected MuleMessage aggregateEvents(EventGroup events)
                                   throws AggregationException

  This method is invoked if the shouldAggregate method is called and returns true. Once this method returns an aggregated message the event group is removed from the router

  Specified by:
    `aggregateEvents` in class `AbstractCorrelationAggregator`
  Parameters:
    `events` - the event group for this request
  Returns:
    an aggregated message
  Throws:
    `AggregationException` - if the aggregation fails. in this scenario the whole event group is removed and passed to the exception handler for this componenet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.